#include <stdio.h>
#include <stdlib.h>
#include "structures.h"
#include "case.h"
#include "personnage.h"
#include "deplacements.h"

Personnage* init_personnage(Personnage *perso, Classe *c, Case *casedepart){
    perso->classe=c;
    perso->points_deplacement=c->points_deplacement_max;
    perso->PV=c->PV_max;
    perso->mana=c->mana_max;
    perso->position=casedepart;
    marquer_occupee(casedepart);
    return perso;
}

Classe * getClasse(Personnage *p){
    return p->classe;
}

Case * getPosition(Personnage *p){
    return p->position;
}

int get_PV(Personnage *p){
    return p->PV;
}

int get_mana(Personnage *p){
    return p->mana;
}

int get_PD(Personnage *p){
    return p->points_deplacement;
}

/* Cette fonction ne fonctionne plus, il faut une fonction qui accede aux effets.
boolean est_paralyse(Personnage *p){
    return p->paralyse;
}
*/

int deplacer_personnage (Personnage *perso, Case *destination){ /*dplace un personnage d'une case  une autre. Ne vrifie pas si le dplacement est autoris, cela doit tre fait par la fonction qui l'appelle*/
    marquer_libre(getPosition(perso));
    perso->position=destination;
    marquer_occupee(getPosition(perso));
    if(getPosition(perso)==destination) return 0;
    return 1;
}


